## lodepng 0.0~git20250402.c45ed79

=== Makefile ===
# This makefile only makes the unit test, benchmark and pngdetail and showpng
# utilities. It does not make the PNG codec itself as shared or static library.
# That is because:
# LodePNG itself has only 1 source file (lodepng.cpp, can be renamed to
# lodepng.c) and is intended to be included as source file in other projects and
# their build system directly.


CC ?= gcc
CXX ?= g++

override CFLAGS := -W -Wall -Wextra -ansi -pedantic -O3 -Wno-unused-function $(CFLAGS)
override CXXFLAGS := -W -Wall -Wextra -ansi -pedantic -O3 $(CXXFLAGS)

all: unittest benchmark pngdetail showpng

%.o: %.cpp
	@mkdir -p `dirname $@`
	$(CXX) -I ./ $(CXXFLAGS) -c $< -o $@

unittest: lodepng.o lodepng_util.o lodepng_unittest.o
	$(CXX) $^ $(CXXFLAGS) -o $@

benchmark: lodepng.o lodepng_benchmark.o
	$(CXX) $^ $(CXXFLAGS) -lSDL2 -o $@

pngdetail: lodepng.o lodepng_util.o pngdetail.o
	$(CXX) $^ $(CXXFLAGS) -o $@

showpng: lodepng.o examples/example_sdl.o
	$(CXX) -I ./ $^ $(CXXFLAGS) -lSDL2 -o $@

clean:
	rm -f unittest benchmark pngdetail showpng lodepng_unittest.o lodepng_benchmark.o lodepng.o lodepng_util.o pngdetail.o examples/example_sdl.o

## lodepng 0.0~git20220618.b4ed2cd

=== debian/changelog ===
lodepng (0.0~git20220618.b4ed2cd-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mark 3 symbols as optional to fix a build failure with newer gcc and
    different optimization levels (Closes: #1025681)

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Dec 2022 11:01:09 -0500

lodepng (0.0~git20220618.b4ed2cd-2) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: Set CXX in accordance with buildtools.mk
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Fri, 22 Jul 2022 16:25:56 +0530

lodepng (0.0~git20220618.b4ed2cd-1) unstable; urgency=medium

  * Refresh symbols control file for 32-bit archs.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Jul 2022 17:38:29 -0700

lodepng (0.0~git20220618.b4ed2cd-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1014661)

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Jul 2022 18:42:54 -0700

=== debian/control ===
Source: lodepng
Section: libs
Homepage: http://lodev.org/lodepng/
Priority: optional
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/deeplearning-team/lodepng.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/lodepng
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13)

Package: liblodepng0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PNG encoder and decoder in C and C++, without dependencies
 PNG is a file format to store raster images losslessly with good compression,
 supporting different color types and alpha channel.
 .
 LodePNG is a PNG codec according to the Portable Network Graphics (PNG)
 Specification (Second Edition) - W3C Recommendation 10 November 2003.
 .
 The specifications used are:
 .
  *) Portable Network Graphics (PNG) Specification (Second Edition):
       http://www.w3.org/TR/2003/REC-PNG-20031110
  *) RFC 1950 ZLIB Compressed Data Format version 3.3:
       http://www.gzip.org/zlib/rfc-zlib.html
  *) RFC 1951 DEFLATE Compressed Data Format Specification ver 1.3:
       http://www.gzip.org/zlib/rfc-deflate.html
 .
 LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
 extra functionality.
 .
 This package conatains the shared objects.

Package: liblodepng-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblodepng0 (= ${binary:Version}), ${misc:Depends}
Description: PNG encoder and decoder in C and C++, without dependencies
 PNG is a file format to store raster images losslessly with good compression,
 supporting different color types and alpha channel.
 .
 LodePNG is a PNG codec according to the Portable Network Graphics (PNG)
 Specification (Second Edition) - W3C Recommendation 10 November 2003.
 .
 The specifications used are:
 .
  *) Portable Network Graphics (PNG) Specification (Second Edition):
       http://www.w3.org/TR/2003/REC-PNG-20031110
  *) RFC 1950 ZLIB Compressed Data Format version 3.3:
       http://www.gzip.org/zlib/rfc-zlib.html
  *) RFC 1951 DEFLATE Compressed Data Format Specification ver 1.3:
       http://www.gzip.org/zlib/rfc-deflate.html
 .
 LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
 extra functionality.
 .
 This package conatains the development files and examples.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	$(CXX) -o liblodepng.so.0 -shared -fPIC -rdynamic lodepng.cpp \
		$(shell dpkg-buildflags --get CXXFLAGS) \
		$(shell dpkg-buildflags --get CPPFLAGS) \
		$(shell dpkg-buildflags --get LDFLAGS) \
		-Wl,-soname,liblodepng.so.0
	ln -s liblodepng.so.0 liblodepng.so

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) unittest
	./unittest
endif

override_dh_auto_install:
	install -Dm0755 -t debian/liblodepng-dev/usr/include lodepng.h 
	mkdir -p debian/liblodepng-dev/usr/lib/$(shell dpkg-architecture -q DEB_HOST_MULTIARCH)/
	cp -av liblodepng.so debian/liblodepng-dev/usr/lib/$(shell dpkg-architecture -q DEB_HOST_MULTIARCH)/
	install -Dm0755 -t debian/liblodepng0/usr/lib/$(shell dpkg-architecture -q DEB_HOST_MULTIARCH) liblodepng.so.0

## lodepng 0.0~git20240415.ed3c5f1

=== debian/changelog ===
lodepng (0.0~git20240415.ed3c5f1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20240415.ed3c5f1
  * d/symbols: remove symbols from libstdc++ (closes: #1064557)
  * d/rules: clean built library files (closes: #1045172, #1049662)
  * d/control: bump std-ver to 4.7.0.1 (no changes required)
  * d/: add new binary package lodepng-utils
  * Bump soname liblodepng0 to liblodepng0.1:
    + d/patches: add patch to expose C-style symbols (closes: #1042096)
      Corresponding C++ symbols have all been removed from library.
    + d/symbols: refresh with C-style names, unify architectures
    + d/symbols: set all symbols from stl as optional
  * d/patches: create patch to add missing API in header

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 12 Sep 2024 00:15:12 +0800

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: libs
 Homepage: http://lodev.org/lodepng/
 Priority: optional
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0.1
 Vcs-Git: https://salsa.debian.org/deeplearning-team/lodepng.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/lodepng
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13)
 
-Package: liblodepng0
-Section: libs
+Package: liblodepng0.1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: PNG encoder and decoder in C and C++, without dependencies
+Breaks: liblodepng0
+Replaces: liblodepng0
+Description: PNG encoder and decoder in C and C++, without dependencies (shared library)
  PNG is a file format to store raster images losslessly with good compression,
  supporting different color types and alpha channel.
  .
@@ -39,8 +40,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblodepng0 (= ${binary:Version}), ${misc:Depends}
-Description: PNG encoder and decoder in C and C++, without dependencies
+Depends: liblodepng0.1 (= ${binary:Version}), ${misc:Depends}
+Description: PNG encoder and decoder in C and C++, without dependencies (development files)
  PNG is a file format to store raster images losslessly with good compression,
  supporting different color types and alpha channel.
  .
@@ -60,3 +61,32 @@
  extra functionality.
  .
  This package conatains the development files and examples.
+
+Package: lodepng-utils
+Section: graphics
+Architecture: any
+Multi-Arch: no
+Pre-Depends: ${misc:Pre-Depends}
+Depends: liblodepng0.1 (= ${binary:Version}),
+ ${shlibs:Depends}, ${misc:Depends}
+Description: PNG encoder and decoder in C and C++, without dependencies (utility)
+ PNG is a file format to store raster images losslessly with good compression,
+ supporting different color types and alpha channel.
+ .
+ LodePNG is a PNG codec according to the Portable Network Graphics (PNG)
+ Specification (Second Edition) - W3C Recommendation 10 November 2003.
+ .
+ The specifications used are:
+ .
+  *) Portable Network Graphics (PNG) Specification (Second Edition):
+       http://www.w3.org/TR/2003/REC-PNG-20031110
+  *) RFC 1950 ZLIB Compressed Data Format version 3.3:
+       http://www.gzip.org/zlib/rfc-zlib.html
+  *) RFC 1951 DEFLATE Compressed Data Format Specification ver 1.3:
+       http://www.gzip.org/zlib/rfc-deflate.html
+ .
+ LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
+ extra functionality.
+ .
+ This package conatains the pngdetail utility.
+

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LIBNAME := liblodepng0.1
SONAME := liblodepng.so.0.1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(SONAME) liblodepng.so pngdetail

override_dh_auto_configure:

override_dh_auto_build:
	$(CXX) -o $(SONAME) -shared -fPIC -rdynamic lodepng.cpp \
		$(shell dpkg-buildflags --get CXXFLAGS) \
		$(shell dpkg-buildflags --get CPPFLAGS) \
		$(shell dpkg-buildflags --get LDFLAGS) \
		-Wl,-soname,$(SONAME)
	ln -s $(SONAME) liblodepng.so
	$(CXX) -o pngdetail -fPIE pngdetail.cpp lodepng_util.cpp $(SONAME) \
		$(shell dpkg-buildflags --get CXXFLAGS) \
		$(shell dpkg-buildflags --get CPPFLAGS) \
		$(shell dpkg-buildflags --get LDFLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) unittest
	./unittest
endif

override_dh_auto_install:
	install -Dm0755 -t debian/liblodepng-dev/usr/include lodepng.h 
	mkdir -p debian/liblodepng-dev/usr/lib/$(shell dpkg-architecture -q DEB_HOST_MULTIARCH)/
	cp -av liblodepng.so debian/liblodepng-dev/usr/lib/$(shell dpkg-architecture -q DEB_HOST_MULTIARCH)/
	install -Dm0755 -t debian/$(LIBNAME)/usr/lib/$(shell dpkg-architecture -q DEB_HOST_MULTIARCH) $(SONAME)
	install -Dm0755 -t debian/lodepng-utils/usr/bin pngdetail

## lodepng 0.0~git20241228.0b1d9cc

=== debian/changelog ===
lodepng (0.0~git20241228.0b1d9cc-1) unstable; urgency=medium

  * New upstream version 0.0~git20241228.0b1d9cc
  * d/patches: refresh existing patches
  * Add new symbols for liblodepng0.1
  * d/control: use correct std-ver, add myself in uploaders

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Feb 2025 23:31:34 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Homepage: http://lodev.org/lodepng/
 Priority: optional
-Standards-Version: 4.7.0.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/lodepng.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/lodepng
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
-Uploaders: Mo Zhou <lumin@debian.org>
+Uploaders: Mo Zhou <lumin@debian.org>, Shengqi Chen <harry@debian.org>
 Build-Depends: debhelper-compat (= 13)
 
 Package: liblodepng0.1

## lodepng 0.0~git20250402.c45ed79

=== debian/changelog ===
lodepng (0.0~git20250402.c45ed79-2) unstable; urgency=medium

  [ Teemu Hukkanen ]
  * Fix typo in package descriptions (conatains -> contains).

  [ Petter Reinholdtsen ]
  * Mention alternative proposal for lodepng_convert_rgb() in patch.

 -- Shengqi Chen <harry@debian.org>  Thu, 10 Apr 2025 13:51:45 +0800

lodepng (0.0~git20250402.c45ed79-1) unstable; urgency=medium

  * New upstream version 0.0~git20250402.c45ed79

 -- Shengqi Chen <harry@debian.org>  Thu, 10 Apr 2025 13:40:49 +0800

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
  extra functionality.
  .
- This package conatains the shared objects.
+ This package contains the shared objects.
 
 Package: liblodepng-dev
 Section: libdevel
@@ -60,7 +60,7 @@
  LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
  extra functionality.
  .
- This package conatains the development files and examples.
+ This package contains the development files and examples.
 
 Package: lodepng-utils
 Section: graphics
@@ -88,5 +88,4 @@
  LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
  extra functionality.
  .
- This package conatains the pngdetail utility.
-
+ This package contains the pngdetail utility.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildtools.mk
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
 
 LIBNAME := liblodepng0.1
 SONAME := liblodepng.so.0.1

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/lvandeve/lodepng \
HEAD
